Skip to main content
POST
/
cards
/
webhook
/
simulate
/
authorize
curl -X POST "https://api.cryptomate.me/cards/webhook/simulate/authorize" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "card_id": "card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
    "bill_amount": 100.00
  }'
{
  "code": "VAL",
  "message": "Card not found"
}
Simulates a card authorization webhook notification for testing. Available in non-production environments only. Requires an API key with access level 2 or higher.

Body

card_id
string
Card identifier to simulate the authorization against.
bill_amount
number
Transaction amount in USD to simulate.

Response

Returns HTTP 201 with an empty body on success.
curl -X POST "https://api.cryptomate.me/cards/webhook/simulate/authorize" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "card_id": "card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
    "bill_amount": 100.00
  }'
{
  "code": "VAL",
  "message": "Card not found"
}